### Method

# Gio File unmount_mountable_with_operation

since: 2.22

#### Declaration [src]

    void
    g_file_unmount_mountable_with_operation (
      GFile* file,
      GMountUnmountFlags flags,
      GMountOperation* mount_operation,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Unmounts a file of type `G_FILE_TYPE_MOUNTABLE`.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

When the operation is finished, `callback` will be called. You can then call `g_file_unmount_mountable_finish()` to get the result of the operation.

Available since: 2.22

This method completes asynchronously. Use `g_file_unmount_mountable_with_operation_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `GMountUnmountFlags`

  Flags affecting the operation.

`mount_operation`

  Type: `GMountOperation`

  A `GMountOperation`, or `NULL` to avoid user interaction.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.